Update JDO API dependency to 3.0.1 #389

Closed
matthewadams opened this Issue Apr 8, 2013 · 1 comment

Comments

Projects
None yet
2 participants
@matthewadams
Contributor

matthewadams commented Apr 8, 2013

JDO 3.0.1 is the latest version of that API in Maven Central, which is source-compatible (if not binary-compatible) with the current version of the dependency, which is javax.jdo:jdo2-api:2.3-eb. JDO 3.0.1 was an OSGi bugfix release to improve jar manifest headers; JDO 3.0 was a major release.

Note that the artifactId has changed back to just jdo-api. Proper dependency should be:

<dependency>
    <groupId>javax.jdo</groupId>
    <artifactId>jdo-api</artifactId>
    <version>3.0.1</version>
</dependency>

timowest added a commit that referenced this issue Apr 9, 2013

timowest added a commit that referenced this issue Apr 9, 2013

@timowest

This comment has been minimized.

Show comment
Hide comment
@timowest

timowest Apr 16, 2013

Member

Released in 3.1.1

Member

timowest commented Apr 16, 2013

Released in 3.1.1

@timowest timowest closed this Apr 16, 2013

@timowest timowest added this to the 3.1.1 milestone Apr 14, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment